/* $Id: mac.h 21 2006-09-14 14:23:06Z pkun $ */

#ifndef USR_MAC_H_INCLUDED_
#define USR_MAC_H_INCLUDED_

/*
 * This file provides partial backward 
 * compatibility with MCBC 3.0 headers.
 *
 * Do not use it now.
 */

#include <iss_mac.h>
#include <iss_caps.h>

typedef uint32_t mac_caps_t;

#define CAP_SIG                 (1 << MCBC_CAP_SIG)
#define CAP_SETMAC              (1 << MCBC_CAP_SETMAC)
#define CAP_CHMAC               (1 << MCBC_CAP_CHMAC)
#define CAP_AUDIT               (1 << MCBC_CAP_AUDIT)
#define CAP_IPC_OWN             CAP_SETMAC
#define CAP_PRIV_SOCK           (1 << MCBC_CAP_PRIV_SOCK)
#define CAP_LVL_OVERRIDE        (1 << MCBC_CAP_IGNMACLVL)
#define CAP_CAT_OVERRIDE        (1 << MCBC_CAP_IGNMACCAT)
#define CAP_MAC_READSEARCH      (CAP_LVL_OVERRIDE | CAP_CAT_OVERRIDE)
#define CAP_SETCAP              0x80000000

#define mac_caps mcbc_caps
#define linux_caps_t uint32_t

#ifndef MAC_ATTR_IGNORER_LEV
#define MAC_ATTR_IGNORER_LEV MAC_ATTR_IGNORER_LVL
#endif

#ifndef MAC_ATTR_IGNOREW_LEV
#define MAC_ATTR_IGNOREW_LEV MAC_ATTR_IGNOREW_LVL
#endif

#ifndef MAC_ATTR_IGNOREX_LEV
#define MAC_ATTR_IGNOREX_LEV MAC_ATTR_IGNOREX_LVL
#endif

#endif				/* USR_MAC_H_INCLUDED_ */
